%% Regression problem data
rng('default')
numRows = 100;
numCols = 4;
X = rand(numRows,numCols);
randIdx = randi(numRows*numCols, floor(0.02*numRows)*numCols, 1); % set 2% of values per column randomly as NaN 
X(randIdx) = NaN;
y = 10*X(:,1) + 5*X(:,2) + 3*X(:,3) + 7*X(:,4) + 0.1*randn(numRows,1);
